Bug 13566 - samba domain backup online/rename commands force user to specify password on CLI
samba domain backup online/rename commands force user to specify password on CLI
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.9.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-09 04:52 UTC by Tim Beale
Modified: 2018-08-24 09:55 UTC (History)
0 users

See Also:


Attachments
Backport for v4.9 (13.92 KB, text/plain)
2018-08-16 00:39 UTC, Tim Beale
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Beale 2018-08-09 04:52:12 UTC
The new 'samba domain backup online' and 'samba domain backup rename' commands only work if the user specifies their password in the actual command itself, i.e. in the "-UAdministrator%locDCpass1" format. The commands don't work if you only enter "-UAdministrator" and expect to type in your password interactively later, or if you use "--kerberos=yes". E.g.

~/samba$ bin/samba-tool domain backup online --server=$SERVER --targetdir=/tmp/backup --no-secrets -UAdministrator
ERROR: Creds required.

~/samba$ bin/samba-tool domain backup online --server=$SERVER --targetdir=/tmp/backup --no-secrets --kerberos=yes
ERROR: Creds required.
Comment 1 Tim Beale 2018-08-16 00:39:31 UTC
Created attachment 14424 [details]
Backport for v4.9

Attached backport patches for v4.9.
Comment 2 Andrew Bartlett 2018-08-16 00:49:55 UTC
Karolin,

Please select for 4.9
Comment 3 Karolin Seeger 2018-08-23 08:00:29 UTC
(In reply to Andrew Bartlett from comment #2)
Pushed to autobuild-v4-9-test.
Comment 4 Karolin Seeger 2018-08-24 09:55:24 UTC
Pushed to v4-9-test.
Closing out bug report.

Thanks!